@Echo Off
Echo ############################################################
Echo ######## Nitin D: Simple IP Changer, Ver 1.0 ###############
Echo ######## https://sourceforge.net/projects/simpleipchanger/ #
Echo ############################################################

ipconfig /flushdns

REM ####### Set your parameters below ######
SET Static_IP=192.168.2.253
SET Subnet=255.255.255.0
SET Gateway=192.168.2.1
SET Primary_dns=8.8.8.8
SET Secondary_dns=8.8.4.4
SET Interface_name="Wi-Fi"


SET /P Choice=Please enter your choice ('S'- Static or 'D' - DHCP):
IF "%Choice%"=="D" GOTO Dhcp_Address
IF "%Choice%"=="d" GOTO Dhcp_Address

:Static_Address
ECHO "#######  Setting Static IP  #######"



NETSH interface ip set address name=%Interface_name% static %Static_IP% %Subnet% %Gateway% 1
NETSH interface ip set dns name=%Interface_name% source=static addr=%Primary_dns% register=primary
NETSH interface ip add dns name=%Interface_name% addr=%Secondary_dns% index=2

PAUSE
EXIT

:Dhcp_Address
ECHO "#######  Setting DHCP IP  #######"

NETSH interface ip set address %Interface_name% source=dhcp
NETSH interface ip set dns name=%Interface_name% source=dhcp

PAUSE
EXIT

